import request from '@/utils/request'



// 启动流程
export function startRegistration(data) {
  return request({
    url: '/system/registration/startTeacherOut',
    method: 'post',
    data: data
  })
}


// 查询外出授课备案详细
export function selDetailByWorkId(id) {
  return request({
    url: '/system/registration/sel/' + id,
    method: 'get'
  })
}


// 查询外出授课备案列表
export function listRegistration(query) {
  return request({
    url: '/system/registration/list',
    method: 'get',
    params: query
  })
}

// 查询外出授课备案详细
export function getRegistration(id) {
  return request({
    url: '/system/registration/' + id,
    method: 'get'
  })
}

// 新增外出授课备案
export function addRegistration(data) {
  return request({
    url: '/system/startTeacherOut',
    method: 'post',
    data: data
  })
}


// 修改外出授课备案
export function updateRegistration(data) {
  return request({
    url: '/system/registration',
    method: 'put',
    data: data
  })
}

// 删除外出授课备案
export function delRegistration(id) {
  return request({
    url: '/system/registration/' + id,
    method: 'delete'
  })
}
